Tag System Requirements for Eclipse IDE